Bug 122611 - Crash in: SvTreeList::Select(SvListView *,SvTreeListEntry *,bool)
Summary: Crash in: SvTreeList::Select(SvListView *,SvTreeListEntry *,bool)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.1 rc
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-01-09 20:14 UTC by Roman Kuznetsov
Modified: 2019-01-11 16:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SvTreeList::Select(SvListView *,SvTreeListEntry *,bool)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-01-09 20:14:42 UTC
This bug was filed from the crash reporting server and is br-0dda596c-562c-4b10-9974-53fbb78d051f.
=========================================

Версия: 6.2.0.1 (x64)
ID сборки: 0412ee99e862f384c1106d0841a950c4cfaa9df1
Потоков ЦП: 4; ОС:Windows 10.0; Отрисовка ИП: GL; VCL: win; 
Локаль: ru-RU (ru_RU); UI-Language: ru-RU
Calc: threaded

Only in RU GUI!

1. Open Impress
2. Just close Template window (don't select any presentation template)
3. select menu Slide->Master slide (Слайд->Мастер-слайд)
4. in dialogue "Slide design" ("Дизайн слайда") push button "Load" ("Загрузка")
5. LO crashed

If change GUI to English (USA) then no crash
Comment 1 Roman Kuznetsov 2019-01-09 20:18:04 UTC
no crash in 
Версия: 6.1.3.1 (x64)
ID сборки: a9670562c26181ec3afbe381c9ff499ae88c98b7
Потоков ЦП: 4; ОС:Windows 10.0; Отрисовка ИП: GL; 
Локаль: ru-RU (ru_RU); Calc: threaded

regression
Comment 2 Durgapriyanka 2019-01-09 22:50:50 UTC
Thank you for reporting the bug. I can confirm this bug in

Version: 6.3.0.0.alpha0+
Build ID: 3c964980da07892a02d5ac721d80558c459532d0
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-12_02:07:45
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 3 Xisco Faulí 2019-01-09 23:40:33 UTC
it happens in english as well...
Comment 4 Xisco Faulí 2019-01-09 23:59:23 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a977098f59a4c931c6f8a1d423720e682f5ed047

author	Caolán McNamara <caolanm@redhat.com>	2018-11-05 15:08:47 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-11-07 22:01:20 +0100
commit	a977098f59a4c931c6f8a1d423720e682f5ed047 (patch)
tree	d865c854cc2e6c0151b0b4aea4b7865cc1822585
parent	6311f7ffce8f64b0773d2ad3ea7be3be683924c0 (diff)
map GtkTreeView to SvTreeViewBox now it is in vcl

Bisected with: bibisect-linux64-6.2 

Adding Cc: to Caolán McNamara
Comment 5 Commit Notification 2019-01-10 13:50:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/888957648d15c60cd5849f8f8c2bdf55a3b78da8%5E%21

Resolves: tdf#122611 crash in empty template list

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2019-01-10 13:54:48 UTC
fixed in master, backport to 6-2 in gerrit
Comment 7 Commit Notification 2019-01-10 15:54:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/fe7269ade557171413f78ad7331e16fd1bde03eb%5E%21

Resolves: tdf#122611 crash in empty template list

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-01-11 11:13:49 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: c164dbaff63d67f5e89d133c272412aaf4c5c158
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 9 Commit Notification 2019-01-11 12:50:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-0":

https://git.libreoffice.org/core/+/4b45c90c959fff95feecc5e252f934aa4e366659%5E%21

Resolves: tdf#122611 crash in empty template list

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.